PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.6.0 »
- PyDL »
- SDSS Imaging Data (`pydl.photoop`)

# SDSS Imaging Data (`pydl.photoop`)

## Introduction

This is a placeholder for photoop documentation.

## API

### pydl.photoop Package

This subpackage implements functions from the photoop package.

#### Classes

`PhotoopException` | Exceptions raised by `pydl.photoop` that don’t fit into a standard exception class like `ValueError`.

#### Class Inheritance Diagram

digraph inheritancef91f0b4a18 { rankdir=LR; size="8.0, 12.0"; "PhotoopException" [URL="../../api/pydl.photoop.PhotoopException.html#pydl.photoop.PhotoopException",fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5)",target="_top",tooltip="Exceptions raised by :mod:`pydl.photoop` that don't fit into a"]; "PydlException" -> "PhotoopException" [arrowsize=0.5,style="setlinewidth(0.5)"]; "PydlException" [URL="../../api/pydl.PydlException.html#pydl.PydlException",fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.25,shape=box,style="setlinewidth(0.5)",target="_top",tooltip="Base class for exceptions raised in PyDL functions."]; }

### pydl.photoop.photoobj Module

This module corresponds to the photoobj directory in photoop.

#### Functions

`sdss_calibv`() | Return calibration for velocities from pix/frame to deg/day.
`unwrap_objid`(objid) | Unwrap CAS-style objID into run, camcol, field, id, rerun.

### pydl.photoop.sdssio Module

This module corresponds to the sdssio directory of photoop.

#### Functions

`filtername`(f) | Return the name of a filter given its number.
`filternum`([filt]) | Return index number for SDSS filters either from a number or name.
`sdss_calib`(run, camcol, field[, rerun]) | Read photometric calibration solutions from calibPhotom or calibPhotomGlobal files.
`sdss_name`(ftype, run, camcol, field[, …]) | Return the name of an SDSS data file including path.
`sdss_path`(ftype, run[, camcol, rerun]) | Return the path name for SDSS data assuming SAS directory structure.
`sdssflux2ab`(flux[, magnitude, ivar]) | Convert the SDSS calibrated fluxes (magnitudes) into AB fluxes (magnitudes).

### pydl.photoop.window Module

This module corresponds to the window directory in photoop.

#### Functions

`sdss_score`(flist[, silent]) | Score a list of imaging fields from zero to one.
`window_read`(**kwargs) | Read window files in $PHOTO_RESOLVE.
`window_score`(**kwargs) | For uber-resolve, score all the fields from zero to one.